/*
 *  Copyright 2009 Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.data.access.impl;

import de.timefinder.algo.DataPoolSettings;
import de.timefinder.algo.constraint.RasterConstraint;
import de.timefinder.data.Event;
import de.timefinder.data.access.impl.EventDaoSimpl;

/**
 * Used from data-context injected via spring instead of PersonDaoSimpl
 * 
 * @author Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net
 */
public class EventEnhancedListDao extends EventDaoSimpl {

    private DataPoolSettings settings;

    public void setSettings(DataPoolSettings settings) {
        this.settings = settings;
    }

    @Override
    public Event create() {
        Event ev = super.create();
        ev.putConstraint(new RasterConstraint(settings.createWeekRaster()));
        return ev;
    }
}
