/*
 *  Copyright 2009 Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.io.winqd;

import de.timefinder.data.Person;
import java.util.Comparator;

/**
 *
 * @author Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net
 */
public class PersonComparator implements Comparator<Person> {

    public PersonComparator() {
    }

    @Override
    public int compare(Person o1, Person o2) {
        if (o1.getName() == null && o2.getName() == null)
            return 0;
        if (o1.getName() == null)
            return -1;
        if (o2.getName() == null)
            return 1;
        return o1.getName().compareTo(o2.getName());
    }
}
