/*
 *  Copyright 2009 Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.io.winqd;

import de.timefinder.data.Person;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Set;
import java.util.TreeSet;

/**
 * @author Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net
 */
public class WinQDCourse {

    private String name;
    private String shortName;
    private List<Integer> hours = new ArrayList<Integer>();
    private Set<WinQDCourseInstance> instances = new TreeSet<WinQDCourseInstance>();
    private Set<Person> students = new TreeSet<Person>(new PersonComparator());

    public List<Integer> getHours() {
        return hours;
    }

    public void setHours(List<Integer> hours) {
        this.hours = hours;
    }

    public Collection<WinQDCourseInstance> getInstances() {
        return instances;
    }

    public void addInstance(String instanceName, Person teacherOfInstance) {
        WinQDCourseInstance inst = new WinQDCourseInstance(instanceName);
        inst.setTeacher(teacherOfInstance);
        instances.add(inst);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public Collection<Person> getStudents() {
        return students;
    }

    @Override
    public String toString() {
        return name + " " + getShortName() + " hours: " + getHours() + ", instances:" + getInstances().size();
    }
}
