/*
 *  Copyright 2009 Peter Karich.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.springrc;

import org.springframework.core.io.Resource;
import org.springframework.richclient.application.support.AboutBox;
import org.springframework.richclient.command.support.ApplicationWindowAwareCommand;

/**
 * @author Keith Donald
 */
public class AboutCommand extends ApplicationWindowAwareCommand {

    private static final String ID = "aboutCommand";
    private AboutBox aboutBox;

    public AboutCommand() {
        super(ID);
    }

    public AboutBox getAboutBox() {
        if (aboutBox == null) {
            aboutBox = new AboutBox();
        }
        return aboutBox;
    }

    public void setAboutBox(AboutBox aboutBox) {
        this.aboutBox = aboutBox;
    }

    /**
     * Set the path to the HTML file to display.  This is optional.  If
     * it is not specified, then the scrolling HTML panel will not be
     * displayed.
     *
     * @param path
     */
    public void setAboutTextPath(Resource path) {
        getAboutBox().setAboutTextPath(path);
    }

    protected void doExecuteCommand() {
        getAboutBox().display(getApplicationWindow().getControl());
    }
}