/*
 *  Copyright 2009 Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.springrc;

import java.awt.Dimension;
import java.util.Map;
import javax.swing.JComponent;
import net.sf.nachocalendar.components.DateField;
import org.springframework.richclient.form.binding.swing.date.NachoCalendarDateFieldBinder;

/**
 * @author original authos of spring rich clients class
 * @see NachoCalendarDateFieldBinder
 */
public class TFNachoCalendarDateFieldBinder extends NachoCalendarDateFieldBinder {

    protected JComponent createControl(Map context) {
        final Dimension textFieldSize = getComponentFactory().createTextField().getPreferredSize();

        // FIXME dirty hack so the DateField has the correct height AND width
        DateField dateField = new DateField() {

            public Dimension getPreferredSize() {
                Dimension size = super.getPreferredSize();
                size.height = textFieldSize.height;
                size.width = Math.max(textFieldSize.width, size.width);

                return size;
            }
        };
        dateField.setShowOkCancel(true);
        dateField.setShowToday(true);
        
        return dateField;
    }
}
