/*
 *  Copyright 2009 Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.ui;

import de.timefinder.core.util.*;
import de.timefinder.core.springrc.TFNachoCalendarDateFieldBinder;
import de.timefinder.planner.TimeFinderPlanner;
import de.timefinder.core.ui.planner.TimeFinderPlannerBinder;
import java.util.Date;
import org.springframework.richclient.components.ShuttleList;
import org.springframework.richclient.form.binding.swing.ShuttleListBinder;
import org.springframework.richclient.form.binding.swing.SwingBinderSelectionStrategy;
import org.springframework.richclient.form.binding.swing.date.NachoCalendarDateFieldBinder;

/**
 * @author Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net
 */
public class CustomBinderSelectionStrategy extends SwingBinderSelectionStrategy {

    public CustomBinderSelectionStrategy(Translator tr) {
        super();
        // other binder will be registered in super classes -> we can change this
        // with overwriting protected void registerDefaultBinders()

        ShuttleListBinder binder = new ShuttleListBinder();
        binder.setShowEditButton(false);
        registerBinderForControlType(ShuttleList.class, binder);

        NachoCalendarDateFieldBinder nachoBinder = new TFNachoCalendarDateFieldBinder();
        nachoBinder.setDateFormat(tr.get("dateFormat"));
        registerBinderForPropertyType(Date.class, nachoBinder);

        TimeFinderPlannerBinder plannerBinder = new TimeFinderPlannerBinder();
        registerBinderForControlType(TimeFinderPlanner.class, plannerBinder);
    }
}
