/*
 *  Copyright 2009 Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.ui;

import de.timefinder.algo.MyProgressMonitor;
import org.springframework.richclient.progress.ProgressMonitor;

/**
 * @author Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net
 */
public class ProgressMonitorBridge implements MyProgressMonitor {

    private ProgressMonitor monitor;

    ProgressMonitorBridge(ProgressMonitor monitor) {
        this.monitor = monitor;
    }

    @Override
    public void worked(int work) {
        monitor.worked(work);
    }

    @Override
    public void done() {
        monitor.done();
    }

    @Override
    public boolean isCanceled() {
        return monitor.isCanceled();
    }

    @Override
    public void setCanceled(boolean b) {
        monitor.setCanceled(b);
    }
}
