/*
 *  Copyright 2009 Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.ui.command;

import javax.swing.JOptionPane;

/**
 * @author Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net
 */
public class ClearDataPoolCommand extends TimeFinderCommand {

    public static final String CD_ID = "clearDataPool";    

    public ClearDataPoolCommand() {
        super(CD_ID);
    }

    public ClearDataPoolCommand(String id) {
        super(id);
    }

    @Override
    protected void doOnce() {
        if (JOptionPane.OK_OPTION == JOptionPane.showConfirmDialog(null,
                tr.get(CD_ID + ".question"))) {
            // clear optimization results, too:
            clear();            
            logger.info("Removed all objects from datapool");
        }
    }
}
