/*
 *  Copyright 2009 Peter Karich.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.ui.metadata;

import de.timefinder.data.DataPool;
import de.timefinder.data.meta.GenericObjectDescriptor;

/**
 * @author Peter Karich
 */
public class PoolDescriptor<T> extends DataDescriptor<T> {

    private GenericObjectDescriptor objectDescriptor;
    private DataPool dataPool;

    public DataPool getDataPool() {
        return dataPool;
    }

    public void setDataPool(DataPool dataPool) {
        this.dataPool = dataPool;
    }

    public GenericObjectDescriptor getObjectDescriptor() {
        return objectDescriptor;
    }

    /**
     * @param objectDescriptor used for displaying the columns
     */
    public void setObjectDescriptor(GenericObjectDescriptor objectDescriptor) {
        this.objectDescriptor = objectDescriptor;
    }
}
