/*
 *  Copyright 2009 Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.ui.planner;

import de.timefinder.algo.DataPoolSettings;
import de.timefinder.data.Event;
import de.timefinder.data.Location;
import de.timefinder.data.Person;
import de.timefinder.core.ui.metadata.PoolDescriptor;
import de.timefinder.planner.TimeFinderPlanner;
import javax.swing.JComponent;
import org.springframework.richclient.application.support.AbstractView;

/**
 * @see PlannerFXView for the JavaFX version
 * @author Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net
 */
public class PlannerView extends AbstractView {

    @Override
    protected JComponent createControl() {
        @SuppressWarnings("unchecked")
        final PoolDescriptor<Person> poolDescriptor = (PoolDescriptor<Person>) getDescriptor();

        final DataPoolSettings settings = poolDescriptor.getSettings();
//        System.out.println("persons:" + dataDescriptor.getDao().getAll().size());

        TimeFinderPlanner planner = new TimeFinderPlanner(settings);

        // TODO add a 'section' for every resource which has separate events!

        for (Person p : poolDescriptor.getDataPool().getDao(Person.class).getAll()) {
            // planner.addResource(p.getName());
            for (Event ev : p.getEventsMap().keySet()) {
                planner.addObject(settings.toIntervalLong(ev));
            }
        }

        for (Location loc : poolDescriptor.getDataPool().getDao(Location.class).getAll()) {
            // planner.addResource(loc.getName());
            for (Event ev : loc.getEvents()) {
                planner.addObject(settings.toIntervalLong(ev));
            }
        }

        return planner;
    }
}
