/*
 *  Copyright 2009 Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.ui.planner;

import de.timefinder.data.ICalendarSettings;
import de.timefinder.core.ui.form.PersonMasterDetailView;
import de.timefinder.planner.TimeFinderPlanner;
import javolution.util.FastMap;
import java.util.Map;
import org.springframework.binding.form.ConfigurableFormModel;
import org.springframework.richclient.form.binding.Binding;
import org.springframework.richclient.form.binding.swing.SwingBindingFactory;

/**
 * @see PersonMasterDetailView how to create the binding
 * @author Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net
 */
public class TimeFinderPlannerBindingFactory extends SwingBindingFactory {

    public TimeFinderPlannerBindingFactory(ConfigurableFormModel resourceFormModel) {
        super(resourceFormModel);
    }

    public Binding createBoundPlanner(String eventsProperty,
            ICalendarSettings settings) {

        // Map createBindingContext(FormModel formModel, String selectionFormProperty)
        Map<String, Object> context = new FastMap<String, Object>(4);
        context.put(TimeFinderPlannerBinder.FORM_ID, getFormModel().getId());        
        context.put(TimeFinderPlannerBinder.SETTINGS, settings);
        
//        ValueModel eventsContainerModel = getFormModel().getValueModel(eventsProperty);
//        context.put(TimeFinderPlannerBinder.EVENTS, eventsContainerModel);

        return createBinding(TimeFinderPlanner.class, eventsProperty, context);
    }
}
